Bug 36880 - XFree86 random crash on ATI Rage
XFree86 random crash on ATI Rage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-20 16:44 EDT by Mark H Johnson
Modified: 2007-04-18 12:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-08 11:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark H Johnson 2001-04-20 16:44:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-0.1.49smp i686)


Occasionally, XFree86 is crashing (and then restarts) at apparently random
times. May be correlated with mouse movement. On one system this has
occurred about 1/day. On system I'm entering the bug on, only occured once
in 10 days.

Reproducible: Sometimes
Steps to Reproduce:
1.Bring up system
2.Do lots of stuff w/ windows,etc.
3.Failure occured after a pause in activity & then moved mouse & clicked to
do some more work [not sure if click sensed or not
[may be a duplicate of crashes on Matrox cards - not sure]

Actual Results:  X server dies, restarts & back to login prompt.

Expected Results:  System runs normally.

I'm attaching a copy of the current log file from XFree86...
XFree86 Version 4.0.2 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 18 December 2000
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF]
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Fri Apr 20 11:32:11 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "ViewSonic G7"
(**) |   |-->Device "ATI Mach64"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.1
        XFree86 Video Driver: 0.3
        XFree86 XInput driver : 0.1
        XFree86 Server Extension : 0.1
        XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1106,0691 card 0000,0000 rev c4 class 06,00,00 hdr
00
(II) PCI: 00:01:0:chip 1106,8598 card 0000,0000 rev 00 class 06,04,00 hdr
01
(II) PCI: 00:07:0: chip 1106,0686 card 1106,0686 rev 22 class 06,01,00 hdr
80
(II) PCI: 00:07:1: chip 1106,0571 card 0000,0000 rev 10 class 01,01,8a hdr
00
(II) PCI: 00:07:2: chip 1106,3038 card 0925,1234 rev 10 class 0c,03,00 hdr
00
(II) PCI: 00:07:3: chip 1106,3038 card 0925,1234 rev 10 class 0c,03,00 hdr
00
(II) PCI: 00:07:4: chip 1106,3057 card 0000,0000 rev 30 class 0c,05,00 hdr
00
(II) PCI: 00:0b:0: chip 1274,5880 card 1274,8001 rev 02 class 04,01,00 hdr
00
(II) PCI: 00:0c:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr
00
(II) PCI: 01:00:0: chip 1002,4742 card 1002,0084 rev 5c class 03,00,00 hdr
00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
        [0] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 1 I/O range:
        [0] -1  0x00009000 - 0x0000afff (0x2000) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0xdde00000 - 0xdfefffff (0x2100000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0xddc00000 - 0xddcfffff (0x100000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x00 (VGA_EN is
cleared)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Mach64 GB rev 92, Mem @ 0xde000000/24, 0xdfeff000/12,
I/O @ 0xa800/8
(II) Addressable bus resource ranges are
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
        [0] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [1] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [2] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [3] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [4] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [5] -1  0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [6] -1  0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [7] -1  0x0000d800 - 0x0000d83f (0x40) IX[B]
        [8] -1  0x0000d400 - 0x0000d41f (0x20) IX[B]
        [9] -1  0x0000d000 - 0x0000d01f (0x20) IX[B]
        [10] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [11] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [1] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [2] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [3] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [4] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [5] -1  0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [6] -1  0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [7] -1  0x0000d800 - 0x0000d83f (0x40) IX[B]
        [8] -1  0x0000d400 - 0x0000d41f (0x20) IX[B]
        [9] -1  0x0000d000 - 0x0000d01f (0x20) IX[B]
        [10] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [11] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x00000000 - 0x000001ff (0x200) IX[B]E
(II) All system resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [6] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [9] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [10] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [11] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [12] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [13] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [14] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [15] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [16] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [17] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 0.0.1
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 6.2.3
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.1
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
        ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK
(PCI),
        ATI Rage 128 RL (AGP), ATI Rage 128 Pro PF (AGP),
        ATI Rage 128 Mobility LE (PCI), ATI Rage 128Mobility LF (AGP),
        ATI Rage 128 Mobility MF (AGP), ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(II) Primary Device is: PCI 01:00:0
(II) ATI:  Candidate "Device" section "ATI Mach64".
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 assigned to active "Device"
section "ATI Mach64".
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [6] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [9] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [10] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [11] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [12] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [13] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [14] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [15] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [16] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [17] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 6.2.3
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.3
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [6] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [9] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [10] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [11] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [12] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [13] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [14] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [15] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [16] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [17] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [18] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [19] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [20] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
        [21] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [22] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 16, (--) framebuffer bpp 16
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE Version 2.0
(II) ATI(0): VESA VBE Total Mem: 8192 kB
(II) ATI(0): VESA VBE OEM: ATI MACH64
(II) ATI(0): VESA VBE OEM Software Rev: 1.0
(II) ATI(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) ATI(0): VESA VBE OEM Product: MACH64GT
(II) ATI(0): VESA VBE OEM Product Rev: 01.00
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): VESA VBE DDC Level 2
(II) ATI(0): VESA VBE DDC transfer in appr. 2 sec.
(II) ATI(0): VESA VBE DDC read successfully
(II) ATI(0): Manufacturer: VSC  Model: 4f4d  Serial#: 7349
(II) ATI(0): Year: 2000  Week: 3
(II) ATI(0): EDID Version: 1.2
(II) ATI(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) ATI(0): Signal levels configurable
(II) ATI(0): Sync:  Separate  CompositeSerration on. V.Sync Pulse req. if
CompSync or SyncOnGreen
(II) ATI(0): Max H-Image Size [cm]: horiz.: 36  vert.: 27
(II) ATI(0): Gamma: 2.76
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) ATI(0): First detailed timing is preferred mode
(II) ATI(0): GTF timings supported
(II) ATI(0): redX: 0.625 redY: 0.340   greenX: 0.285 greenY: 0.605
(II) ATI(0): blueX: 0.150 blueY: 0.065   whiteX: 0.283 whiteY: 0.297
(II) ATI(0): Supported VESA Video Modes:
(II) ATI(0): 720x400@70Hz
(II) ATI(0): 720x400@88Hz
(II) ATI(0): 640x480@60Hz
(II) ATI(0): 640x480@67Hz
(II) ATI(0): 640x480@72Hz
(II) ATI(0): 640x480@75Hz
(II) ATI(0): 800x600@56Hz
(II) ATI(0): 800x600@60Hz
(II) ATI(0): 800x600@72Hz
(II) ATI(0): 800x600@75Hz
(II) ATI(0): 832x624@75Hz
(II) ATI(0): 1024x768@87Hz (interlaced)
(II) ATI(0): 1024x768@60Hz
(II) ATI(0): 1024x768@70Hz
(II) ATI(0): 1024x768@75Hz
(II) ATI(0): 1280x1024@75Hz
(II) ATI(0): 1152x870@75Hz
(II) ATI(0): Manufacturer's mask: 0
(II) ATI(0): Supported Future Video Modes:
(II) ATI(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) ATI(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) ATI(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) ATI(0): #3: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) ATI(0): #4: hsize: 1280  vsize 960  refresh: 75  vid: 20353
(II) ATI(0): #5: hsize: 1280  vsize 960  refresh: 85  vid: 22913
(II) ATI(0): #6: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) ATI(0): #7: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) ATI(0): Supported additional Video Mode:
(II) ATI(0): clock: 157.5 MHz   Image Size:  357 x 268 mm
(II) ATI(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) ATI(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) ATI(0): Serial No: MO00307349
(II) ATI(0): Ranges: V min: 50  V max: 180 Hz, H min: 30  H max: 97 kHz,
PixClock max 150 kHz
(II) ATI(0): Monitor name: GS790
(--) ATI(0): ATI 3D Rage Pro graphics controller detected.
(--) ATI(0): Chip type 4742 "GB", version 4, foundry UMC, class 0, revision
0x01.
(--) ATI(0): AGP bus interface detected;  block I/O base is 0xA800.
(--) ATI(0): ATI Mach64 adapter detected.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 565
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(II) ATI(0): Using 8 MB linear aperture at 0xDE000000.
(II) ATI(0): Using Block 0 MMIO aperture at 0xDFEFF400.
(II) ATI(0): Using Block 1 MMIO aperture at 0xDFEFF000.
(==) ATI(0): Write-combining range (0xde000000,0x800000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 8192 kB of SDRAM (1:1) detected.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 157.5/11 (14.318) MHz.
(II) ATI(0): ViewSonic G7: Using hsync range of 30.00-95.00 kHz
(II) ATI(0): ViewSonic G7: Using vrefresh range of 50.00-180.00 Hz
(II) ATI(0): Maximum clock: 230.00 MHz
(WW) ATI(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) ATI(0): Default mode "1792x1344" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1856x1392" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(--) ATI(0): Virtual size is 1280x1024 (pitch 1280)
(**) ATI(0): Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(**) ATI(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(--) ATI(0): Display dimensions: (36, 27) cm
(--) ATI(0): DPI set to (90, 96)
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "cfb16"
(II) LoadModule: "cfb16"
(II) Loading /usr/X11R6/lib/modules/libcfb16.a
(II) Module cfb16: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "cfb"
(II) LoadModule: "cfb"
(II) Loading /usr/X11R6/lib/modules/libcfb.a
(II) Module cfb: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "mfb"
(II) LoadModule: "mfb"
(II) Loading /usr/X11R6/lib/modules/libmfb.a
(II) Module mfb: vendor="The XFree86 Project"
        compiled for 4.0.2, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0xdfeff000 - 0xdfefffff (0x1000) MS[B]
        [1] 0   0xde000000 - 0xdeffffff (0x1000000) MS[B]
        [2] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [8] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [9] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [10] -1 0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [11] -1 0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [12] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [13] 0  0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
        [14] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
        [15] 0  0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
        [16] 0  0x0000a800 - 0x0000a8ff (0x100) IS[B]
        [17] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [18] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [19] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [20] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [21] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [22] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [23] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
        [24] 0  0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
        [25] 0  0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) ATI(0): Write-combining range (0xde000000,0x800000)
(II) ATI(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                14 256x256 slots
                5 512x512 slots
(==) ATI(0): Backing store disabled
(**) Option "dpms"
(**) ATI(0): DPMS enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(WW) Cannot open APM
(==) ATI(0): Write-combining range (0xde000000,0x800000)
(**) ATI(0): DPMS enabled

Here are the only messages found in /var/log/messages for this time
period....
Apr 20 11:32:10 dws10 kdm[840]: Server for display :0 terminated
unexpectedly: 1536
Apr 20 11:32:10 dws10 su(pam_unix)[1148]: session closed for user root
Apr 20 11:32:11 dws10 kde(pam_unix)[852]: session closed for user u21305
Apr 20 11:32:12 dws10 kernel: probable hardware bug: clock timer
configuration lost - probably a VIA686a motherboard.
Apr 20 11:32:12 dws10 kernel: probable hardware bug: restoring chip
configuration.
Apr 20 11:32:44 dws10 kde(pam_unix)[30717]: session opened for user u21305
by (uid=0)
Apr 20 11:32:48 dws10 kernel: es1371: version v0.27 time 16:37:55 Apr  8
2001
Apr 20 11:32:48 dws10 kernel: es1371: found chip, vendor id 0x1274 device
id 0x5880 revision 0x02
Apr 20 11:32:48 dws10 kernel: es1371: found es1371 rev 2 at io 0xd800 irq
19
Apr 20 11:32:48 dws10 kernel: es1371: features: joystick 0x0
Apr 20 11:32:48 dws10 kernel: ac97_codec: AC97 Audio codec, id:
0x8384:0x7608 (SigmaTel STAC9708)
Apr 20 11:32:48 dws10 insmod: insmod: a module named es1371 already exists
Apr 20 11:32:48 dws10 insmod: insmod: insmod sound-slot-0 failed
Apr 20 11:32:48 dws10 modprobe: modprobe: Can't locate module
sound-service-0-3
Apr 20 11:32:48 dws10 modprobe: modprobe: Can't locate module
sound-service-0-0
Apr 20 11:32:48 dws10 modprobe: modprobe: Can't locate module sound-slot-1
Apr 20 11:32:48 dws10 modprobe: modprobe: Can't locate module
sound-service-1-0
Apr 20 11:32:48 dws10 modprobe: modprobe: Can't locate module sound-slot-1
Apr 20 11:32:48 dws10 modprobe: modprobe: Can't locate module
sound-service-1-0
Comment 1 Alexei Podtelezhnikov 2001-04-21 15:19:27 EDT
there is something wierd about your system. RH 7.1 comes with Xfree86 4.0.3, 
but your log shows 4.0.2. It wasn't RH who installed it there.
Comment 2 Mark H Johnson 2001-04-23 09:57:50 EDT
These were systems built from the final 7.1 beta (somehow I couldn't select that
from the version pick list now that the release version is out). We have a
couple systems with the new 7.1 release installed but not enough run time to
determine if XFree86 4.0.3 fixes our problem.
Comment 3 Jonathan A. Davis 2001-04-26 20:36:09 EDT
We are seeing this random crash issue as well.  It seems to be tied to a 
combination of Xfree-4.x and Kernel 2.4.x.  On both hardware platforms here, 
Xfree 4 is prefectly stable under kernel 2.2, but crashes randomly under 2.4.  
Conversely, XFree 3.3 will work just fine under Kernel 2.4.x.

Both machines are identically configured Dell PowerEdge 1300 servers.  
2x600Mhz PIII 512MB.  Both are pristine (no hardware changes since the 
factory).  Both are now running 7.1, but the problem occured under 6.2 with 
Xfree 4 upgrade, 7.0, 7.1 fisher and wolverine and now 7.1.  Kernels used on 
these machines have ranged from 2.2.16 to currently 2.4.3.  (Note, crashes 
occured on the stock RH kernel as well)

Would be glad to provide more info if needed.
Comment 4 Jonathan A. Davis 2001-04-27 13:50:11 EDT
In the process or working on this problem (I'd been dropping back to a 3.3.6 
xserver in the interim), I decided to upgrade XFree on one machine to the 
current Rawhide release (4.0.3-10).  Also, I had read a blurb about this being 
a bad interaction issue with 686 libraries/compiles, 2.4 kernels, and DPMS.  
I'm currently running X with -dpms and I've had no crashes in the past 18 
hours.  But that's no real test as crashes can occur with as much as a week 
between them.  I'll know more by the end of next week.

-JD
Comment 5 Mark H Johnson 2001-04-27 14:04:38 EDT
Have upgraded several machines to the 7.1 release - same problem with XFree86
4.0.3 and the other updated software on Seawolf. Still no consistent cause. All
three of my [personal] crashes have happened when clicking in a window w/
Netscape running. Others here report different applications active.

On my last crash - see new messages listed below from /var/log/messages
Apr 27 12:35:32 dws10 kernel: es1371: version v0.27 time 20:34:13 Apr  8 2001
Apr 27 12:35:32 dws10 kernel: es1371: found chip, vendor id 0x1274 device id
0x5880 revision 0x02
Apr 27 12:35:32 dws10 kernel: es1371: found es1371 rev 2 at io 0xd800 irq 19
Apr 27 12:35:32 dws10 kernel: es1371: features: joystick 0x0
Apr 27 12:35:32 dws10 kernel: ac97_codec: AC97 Audio codec, id: 0x8384:0x7608
(SigmaTel STAC9708)
Apr 27 12:35:32 dws10 modprobe: modprobe: Can't locate module sound-service-0-3
Apr 27 12:35:32 dws10 su(pam_unix)[9830]: session closed for user root
Apr 27 12:35:32 dws10 kde(pam_unix)[9608]: session closed for user u21305
Apr 27 12:35:41 dws10 kde(pam_unix)[9974]: session opened for user u21305 by
(uid=0)
Apr 27 12:35:51 dws10 modprobe: modprobe: Can't locate module sound-slot-1
Apr 27 12:35:51 dws10 modprobe: modprobe: Can't locate module sound-service-1-0
Apr 27 12:35:51 dws10 modprobe: modprobe: Can't locate module sound-slot-1
Apr 27 12:35:51 dws10 modprobe: modprobe: Can't locate module sound-service-1-0

This is a different sequence than the original report but may point out a
problem with kernel modules and X [?!].

Comment 6 Mark H Johnson 2001-05-01 10:04:39 EDT
Yet another crash of the X server. This time, the machine was "idle" - occurred
while the machine was running the screen saver. The message in /var/log/messages
is as follows:
Apr 30 21:36:47 dws10 kdm[843]: Server for display :0 terminated unexpectedly:
1536
Apr 30 21:36:47 dws10 su(pam_unix)[10234]: session closed for user root
Apr 30 21:36:47 dws10 kde(pam_unix)[9974]: session closed for user u21305

No other messages appeared in /var/log/messages from 35 minutes before to 15
minutes after these messages.
Comment 7 Mike A. Harris 2001-05-04 02:52:49 EDT
Please attach (not cut and paste) your XFree86 config file and a server
log from AFTER a crash.  Do not start X for any reason after a crash, boot
into runlevel 3, and snag the logs.

If you disable DPMS completely does the problem go away?
If you disable DRI completely does the problem go away?

What does uname -a report?
rpm -qa |grep XFree86
rpm -q Mesa
Comment 8 Mark H Johnson 2001-05-04 10:30:04 EDT
You may have to walk me through a couple of the requests...

For now, I did...
  telinit 3 [as root]
to shutdown X and then as a regular user...
  startx 2>&1 | tee startx.output
to capture the output & am running. Will give you the output of startx, the
XFree86 logs, etc. if/when it fails.
[if that isn't what is wanted - please let me know]

I don't know how to disable DPMS nor DRI - do you wish to provide instructions
on how to do that and do so now [or get the current config data first & then try
one of theose work around's]?

Answers to the other queries...
[u21305@dws10 u21305]$ uname -a
Linux dws10 2.4.2-2smp #1 SMP Sun Apr 8 20:21:34 EDT 2001 i686 unknown
[u21305@dws10 u21305]$ rpm -qa | grep XFree86
XFree86-jpfonts-2.0-12
XFree86-ISO8859-7-1.0-9
XFree86-ISO8859-7-100dpi-fonts-1.0-9
XFree86-4.0.3-5
XFree86-100dpi-fonts-4.0.3-5
XFree86-KOI8-R-1.0-6
XFree86-doc-4.0.3-5
XFree86-VGA16-3.3.6-35
XFree86-xfs-4.0.3-5
XFree86-75dpi-fonts-4.0.3-5
XFree86-KOI8-R-75dpi-fonts-1.0-6
XFree86-KOI8-R-100dpi-fonts-1.0-6
XFree86-ISO8859-7-Type1-fonts-1.0-9
XFree86-ISO8859-9-2.1.2-16
XFree86-libs-4.0.3-5
XFree86-cyrillic-fonts-4.0.3-5
XFree86-tools-4.0.3-5
XFree86-xdm-4.0.3-5
XFree86-devel-4.0.3-5
XFree86-ISO8859-2-Type1-fonts-4.0.3-5
XFree86-ISO8859-9-75dpi-fonts-2.1.2-16
XFree86-ISO8859-2-75dpi-fonts-4.0.3-5
XFree86-twm-4.0.3-5
XFree86-ISO8859-7-75dpi-fonts-1.0-9
XFree86-ISO8859-9-100dpi-fonts-2.1.2-16
XFree86-ISO8859-2-100dpi-fonts-4.0.3-5
XFree86-xf86cfg-4.0.3-5
[u21305@dws10 u21305]$ rpm -q Mesa
Mesa-3.4-13

If I don't hear otherwise, I'll keep running with the current set up and post a
reply the next time it crashes [could be a few days though...].
Comment 9 Jonathan A. Davis 2001-05-04 11:10:35 EDT
Okay.  On the two machines I listed in comments above -- as noted both are 
running RedHat 7.1 -- I updated to Rawhide XFree (4.0.3-10) on one of them, 
but disabled dpms on both.  Both have now been perfectly STABLE for the past 
7+ days.  This appears to be a workaround for this specific problem.

Now if the RH produced XF had patch7-render so anti-aliased fonts would work 
on Mach64...  But that's for another bug report.  :-)
Comment 10 Jonathan A. Davis 2001-05-11 11:50:04 EDT
Now wrapping up week 2 after adding -dpms (disabling DPMS) on the two 
Poweredge machines mentioned above and X is still stable.  Just adding a data 
point to the report.
Comment 11 Mark H Johnson 2001-05-14 09:23:52 EDT
OK, finally another crash occured this weekend [machine idle, running
screen saver, no user I/O]. No messages in /var/log/messages at the time
of the X server crash (Sunday, May 13, 19:40). One odd note - the system
this is running on has lots of memory (512M) w/ SMP and almost never swaps. I
noted about 64M of swap used this morning [typical is 0 or a few K]. Don't
know if that is relevant.

If you still want me to disable DPMS or DRI, I need instructions how.

First, the file /var/log/XFree86.0.log

XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF]
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Fri May  4 09:23:03 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "ViewSonic G7"
(**) |   |-->Device "ATI Mach64"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.1
        XFree86 Video Driver: 0.3
        XFree86 XInput driver : 0.1
        XFree86 Server Extension : 0.1
        XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x00000000, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 1106,0691 card 0000,0000 rev c4 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 1106,8598 card 0000,0000 rev 00 class 06,04,00 hdr 01
(II) PCI: 00:07:0: chip 1106,0686 card 1106,0686 rev 22 class 06,01,00 hdr 80
(II) PCI: 00:07:1: chip 1106,0571 card 0000,0000 rev 10 class 01,01,8a hdr 00
(II) PCI: 00:07:2: chip 1106,3038 card 0925,1234 rev 10 class 0c,03,00 hdr 00
(II) PCI: 00:07:3: chip 1106,3038 card 0925,1234 rev 10 class 0c,03,00 hdr 00
(II) PCI: 00:07:4: chip 1106,3057 card 0000,0000 rev 30 class 0c,05,00 hdr 00
(II) PCI: 00:0b:0: chip 1274,5880 card 1274,8001 rev 02 class 04,01,00 hdr 00
(II) PCI: 00:0c:0: chip 10ec,8139 card 10ec,8139 rev 10 class 02,00,00 hdr 00
(II) PCI: 01:00:0: chip 1002,4742 card 1002,0084 rev 5c class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.3
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus 0 I/O range:
        [0] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 1 I/O range:
        [0] -1  0x00009000 - 0x0000afff (0x2000) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0xdde00000 - 0xdfefffff (0x2100000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0xddc00000 - 0xddcfffff (0x100000) MX[B]
(II) Bus -1: bridge is at (0:7:0), (0,-1,0), BCTRL: 0x00 (VGA_EN is cleared)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Mach64 GB rev 92, Mem @ 0xde000000/24, 0xdfeff000/12, I/O
@ 0xa800/8
(II) Addressable bus resource ranges are
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x00000000 - 0x000001ff (0x200) IX[B]E
(II) Active PCI resource ranges:
        [0] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [1] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [2] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [3] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [4] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [5] -1  0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [6] -1  0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [7] -1  0x0000d800 - 0x0000d83f (0x40) IX[B]
        [8] -1  0x0000d400 - 0x0000d41f (0x20) IX[B]
        [9] -1  0x0000d000 - 0x0000d01f (0x20) IX[B]
        [10] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
      [11] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [1] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [2] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [3] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [4] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [5] -1  0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [6] -1  0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [7] -1  0x0000d800 - 0x0000d83f (0x40) IX[B]
        [8] -1  0x0000d400 - 0x0000d41f (0x20) IX[B]
        [9] -1  0x0000d000 - 0x0000d01f (0x20) IX[B]
        [10] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [11] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x00000000 - 0x000001ff (0x200) IX[B]E
(II) All system resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [6] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [9] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [10] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [11] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [12] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [13] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [14] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [15] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [16] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [17] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension GLX
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 0.0.1
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 6.2.3
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.3
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.1
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
        ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
        ATI Rage 128 RL (AGP), ATI Rage 128 Pro PD (AGP),
        ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
        ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
        ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(II) Primary Device is: PCI 01:00:0
(II) ATI:  Candidate "Device" section "ATI Mach64".
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 detected.
(II) ATI:  Shared PCI/AGP Mach64 in slot 1:0:0 assigned to active "Device"
section "ATI Mach64".
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [6] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [9] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [10] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [11] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [12] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [13] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [14] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [15] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [16] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [17] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
(II) Loading sub module "atimisc"
(II) LoadModule: "atimisc"
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 6.2.3
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.3
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [6] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [7] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [8] -1  0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [9] -1  0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [10] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [11] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [12] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [13] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [14] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [15] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [16] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [17] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [18] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [19] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [20] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
        [21] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [22] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 16, (--) framebuffer bpp 16
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE Version 2.0
(II) ATI(0): VESA VBE Total Mem: 8192 kB
(II) ATI(0): VESA VBE OEM: ATI MACH64
(II) ATI(0): VESA VBE OEM Software Rev: 1.0
(II) ATI(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) ATI(0): VESA VBE OEM Product: MACH64GT
(II) ATI(0): VESA VBE OEM Product Rev: 01.00
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): VESA VBE DDC Level 2
(II) ATI(0): VESA VBE DDC transfer in appr. 2 sec.
(II) ATI(0): VESA VBE DDC read successfully
(II) ATI(0): Manufacturer: VSC  Model: 4f4d  Serial#: 7349
(II) ATI(0): Year: 2000  Week: 3
(II) ATI(0): EDID Version: 1.2
(II) ATI(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) ATI(0): Signal levels configurable
(II) ATI(0): Sync:  Separate  CompositeSerration on. V.Sync Pulse req. if
CompSync or SyncOnGreen
(II) ATI(0): Max H-Image Size [cm]: horiz.: 36  vert.: 27
(II) ATI(0): Gamma: 2.76
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) ATI(0): First detailed timing is preferred mode
(II) ATI(0): GTF timings supported
(II) ATI(0): redX: 0.625 redY: 0.340   greenX: 0.285 greenY: 0.605
(II) ATI(0): blueX: 0.150 blueY: 0.065   whiteX: 0.283 whiteY: 0.297
(II) ATI(0): Supported VESA Video Modes:
(II) ATI(0): 720x400@70Hz
(II) ATI(0): 720x400@88Hz
(II) ATI(0): 640x480@60Hz
(II) ATI(0): 640x480@67Hz
(II) ATI(0): 640x480@72Hz
(II) ATI(0): 640x480@75Hz
(II) ATI(0): 800x600@56Hz
(II) ATI(0): 800x600@60Hz
(II) ATI(0): 800x600@72Hz
(II) ATI(0): 800x600@75Hz
(II) ATI(0): 832x624@75Hz
(II) ATI(0): 1024x768@87Hz (interlaced)
(II) ATI(0): 1024x768@60Hz
(II) ATI(0): 1024x768@70Hz
(II) ATI(0): 1024x768@75Hz
(II) ATI(0): 1280x1024@75Hz
(II) ATI(0): 1152x870@75Hz
(II) ATI(0): Manufacturer's mask: 0
(II) ATI(0): Supported Future Video Modes:
(II) ATI(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) ATI(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) ATI(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) ATI(0): #3: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) ATI(0): #4: hsize: 1280  vsize 960  refresh: 75  vid: 20353
(II) ATI(0): #5: hsize: 1280  vsize 960  refresh: 85  vid: 22913
(II) ATI(0): #6: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) ATI(0): #7: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) ATI(0): Supported additional Video Mode:
(II) ATI(0): clock: 157.5 MHz   Image Size:  357 x 268 mm
(II) ATI(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) ATI(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) ATI(0): Serial No: MO00307349
(II) ATI(0): Ranges: V min: 50  V max: 180 Hz, H min: 30  H max: 97 kHz,
PixClock max 150 kHz
(II) ATI(0): Monitor name: GS790
(--) ATI(0): ATI 3D Rage Pro graphics controller detected.
(--) ATI(0): Chip type 4742 "GB", version 4, foundry UMC, class 0, revision
0x01.
(--) ATI(0): AGP bus interface detected;  block I/O base is 0xA800.
(--) ATI(0): ATI Mach64 adapter detected.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 565
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(II) ATI(0): Using 8 MB linear aperture at 0xDE000000.
(II) ATI(0): Using Block 0 MMIO aperture at 0xDFEFF400.
(II) ATI(0): Using Block 1 MMIO aperture at 0xDFEFF000.
(==) ATI(0): Write-combining range (0xde000000,0x800000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 8192 kB of SDRAM (1:1) detected.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 157.5/11 (14.318) MHz.
(II) ATI(0): ViewSonic G7: Using hsync range of 30.00-95.00 kHz
(II) ATI(0): ViewSonic G7: Using vrefresh range of 50.00-180.00 Hz
(II) ATI(0): Maximum clock: 230.00 MHz
(WW) ATI(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) ATI(0): Default mode "1792x1344" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1856x1392" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(--) ATI(0): Virtual size is 1280x1024 (pitch 1280)
(**) ATI(0): Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(**) ATI(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(--) ATI(0): Display dimensions: (36, 27) cm
(--) ATI(0): DPI set to (90, 96)
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.3
(II) Loading sub module "cfb16"
(II) LoadModule: "cfb16"
(II) Loading /usr/X11R6/lib/modules/libcfb16.a
(II) Module cfb16: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "cfb"
(II) LoadModule: "cfb"
(II) Loading /usr/X11R6/lib/modules/libcfb.a
(II) Module cfb: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "mfb"
(II) LoadModule: "mfb"
(II) Loading /usr/X11R6/lib/modules/libmfb.a
(II) Module mfb: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0xdfeff000 - 0xdfefffff (0x1000) MS[B]
        [1] 0   0xde000000 - 0xdeffffff (0x1000000) MS[B]
        [2] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0xdffe0000 - 0xdffeffff (0x10000) MX[B]
        [8] -1  0xdfffff00 - 0xdfffffff (0x100) MX[B]
        [9] -1  0xe0000000 - 0xe3ffffff (0x4000000) MX[B]
        [10] -1 0xdfec0000 - 0xdfedffff (0x20000) MX[B](B)
        [11] -1 0xdfeff000 - 0xdfefffff (0x1000) MX[B](B)
        [12] -1 0xde000000 - 0xdeffffff (0x1000000) MX[B](B)
        [13] 0  0x000a0000 - 0x000affff (0x10000) MS[B](OprU)
        [14] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B](OprU)
        [15] 0  0x000b8000 - 0x000bffff (0x8000) MS[B](OprU)
        [16] 0  0x0000a800 - 0x0000a8ff (0x100) IS[B]
        [17] -1 0x00000000 - 0x000001ff (0x200) IX[B]E
        [18] -1 0x0000dc00 - 0x0000dcff (0x100) IX[B]
        [19] -1 0x0000d800 - 0x0000d83f (0x40) IX[B]
        [20] -1 0x0000d400 - 0x0000d41f (0x20) IX[B]
        [21] -1 0x0000d000 - 0x0000d01f (0x20) IX[B]
        [22] -1 0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
        [23] -1 0x0000a800 - 0x0000a8ff (0x100) IX[B](B)
        [24] 0  0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
        [25] 0  0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(==) ATI(0): Write-combining range (0xde000000,0x800000)
(II) ATI(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                14 256x256 slots
                5 512x512 slots
(==) ATI(0): Backing store disabled
(**) Option "dpms"
(**) ATI(0): DPMS enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-inextension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "PS/2"
(**) Mouse0: Protocol: "PS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(==) Mouse0: Buttons: 3
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
(WW) Cannot open APM
 
Fatal server error:
Caught signal 11.  Server aborting
 
 
When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.
---------------------------
Now, the series of messages generated by startx
-----

XFree86 Version 4.0.3 / X Window System
(protocol Version 11, revision 0, vendor release 6400)
Release Date: 16 March 2001
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/FAQ)
Operating System: Linux 2.2.17-8smp i686 [ELF]
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Fri May  4 09:23:03 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "ViewSonic G7"
(**) |   |-->Device "ATI Mach64"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) XKB: layout: "us"
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 0.1.0
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 0.1.0
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(--) PCI:*(1:0:0) ATI Mach64 GB rev 92, Mem @ 0xde000000/24, 0xdfeff000/12, I/O
@ 0xa800/8
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 0.0.1
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 6.2.3
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.2.3) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
        ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
        ATI Rage 128 RL (AGP), ATI Rage 128 Pro PD (AGP),
        ATI Rage 128 Pro PF (AGP), ATI Rage 128 Mobility LE (PCI),
        ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
        ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP)
(II) Loading /usr/X11R6/lib/modules/drivers/atimisc_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 6.2.3
(==) ATI(0): Chipset:  "ati".
(**) ATI(0): Depth 16, (--) framebuffer bpp 16
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) ATI(0): Primary V_BIOS segment is: 0xc000
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) ATI(0): VESA BIOS detected
(II) ATI(0): VESA VBE DDC supported
(II) ATI(0): Manufacturer: VSC  Model: 4f4d  Serial#: 7349
(II) ATI(0): Year: 2000  Week: 3
(II) ATI(0): EDID Version: 1.2
(II) ATI(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) ATI(0): Signal levels configurable
(II) ATI(0): Sync:  Separate  CompositeSerration on. V.Sync Pulse req. if
CompSync or SyncOnGreen
(II) ATI(0): Max H-Image Size [cm]: horiz.: 36  vert.: 27
(II) ATI(0): Gamma: 2.76
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) ATI(0): First detailed timing is preferred mode
(II) ATI(0): GTF timings supported
(II) ATI(0): redX: 0.625 redY: 0.340   greenX: 0.285 greenY: 0.605
(II) ATI(0): blueX: 0.150 blueY: 0.065   whiteX: 0.283 whiteY: 0.297
(II) ATI(0): Supported VESA Video Modes:
(II) ATI(0): 720x400@70Hz
(II) ATI(0): 720x400@88Hz
(II) ATI(0): 640x480@60Hz
(II) ATI(0): 640x480@67Hz
(II) ATI(0): 640x480@72Hz
(II) ATI(0): 640x480@75Hz
(II) ATI(0): 800x600@56Hz
(II) ATI(0): 800x600@60Hz
(II) ATI(0): 800x600@72Hz
(II) ATI(0): 800x600@75Hz
(II) ATI(0): 832x624@75Hz
(II) ATI(0): 1024x768@87Hz (interlaced)
(II) ATI(0): 1024x768@60Hz
(II) ATI(0): 1024x768@70Hz
(II) ATI(0): 1024x768@75Hz
(II) ATI(0): 1280x1024@75Hz
(II) ATI(0): 1152x870@75Hz
(II) ATI(0): Manufacturer's mask: 0
(II) ATI(0): Supported Future Video Modes:
(II) ATI(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) ATI(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) ATI(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) ATI(0): #3: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) ATI(0): #4: hsize: 1280  vsize 960  refresh: 75  vid: 20353
(II) ATI(0): #5: hsize: 1280  vsize 960  refresh: 85  vid: 22913
(II) ATI(0): #6: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) ATI(0): #7: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) ATI(0): Supported additional Video Mode:
(II) ATI(0): clock: 157.5 MHz   Image Size:  357 x 268 mm
(II) ATI(0): h_active: 1280  h_sync: 1344  h_sync_end 1504 h_blank_end 1728
h_border: 0
(II) ATI(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1072
v_border: 0
(II) ATI(0): Serial No: MO00307349
(II) ATI(0): Ranges: V min: 50  V max: 180 Hz, H min: 30  H max: 97 kHz,
PixClock max 150 kHz
(II) ATI(0): Monitor name: GS790
(--) ATI(0): ATI 3D Rage Pro graphics controller detected.
(--) ATI(0): Chip type 4742 "GB", version 4, foundry UMC, class 0, revision
0x01.
(--) ATI(0): AGP bus interface detected;  block I/O base is 0xA800.
(--) ATI(0): ATI Mach64 adapter detected.
(--) ATI(0): Internal RAMDAC (subtype 1) detected.
(==) ATI(0): RGB weight 565
(==) ATI(0): Default visual is TrueColor
(==) ATI(0): Using gamma correction (1.0, 1.0, 1.0)
(II) ATI(0): Using Mach64 accelerator CRTC.
(II) ATI(0): Using 8 MB linear aperture at 0xDE000000.
(II) ATI(0): Using Block 0 MMIO aperture at 0xDFEFF400.
(II) ATI(0): Using Block 1 MMIO aperture at 0xDFEFF000.
(==) ATI(0): Write-combining range (0xde000000,0x800000)
(II) ATI(0): MMIO write caching enabled.
(--) ATI(0): 8192 kB of SDRAM (1:1) detected.
(WW) ATI(0): Cannot shadow an accelerated frame buffer.
(--) ATI(0): Internal programmable clock generator detected.
(--) ATI(0): Reference clock 157.5/11 (14.318) MHz.
(II) ATI(0): ViewSonic G7: Using hsync range of 30.00-95.00 kHz
(II) ATI(0): ViewSonic G7: Using vrefresh range of 50.00-180.00 Hz
(II) ATI(0): Maximum clock: 230.00 MHz
(WW) ATI(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) ATI(0): Default mode "1792x1344" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1856x1392" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(WW) ATI(0): Default mode "1920x1440" deleted (bad mode
clock/interlace/doublescan)
(--) ATI(0): Virtual size is 1280x1024 (pitch 1280)
(**) ATI(0): Default mode "1280x1024": 157.5 MHz, 91.1 kHz, 85.0 Hz
(**) ATI(0): Default mode "1024x768": 94.5 MHz, 68.7 kHz, 85.0 Hz
(--) ATI(0): Display dimensions: (36, 27) cm
(--) ATI(0): DPI set to (90, 96)
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libcfb16.a
(II) Module cfb16: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libcfb.a
(II) Module cfb: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(II) Loading /usr/X11R6/lib/modules/libmfb.a
(II) Module mfb: vendor="The XFree86 Project"
        compiled for 4.0.3, module version = 1.0.0
(==) ATI(0): Write-combining range (0xde000000,0x800000)
(II) ATI(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        8x8 mono pattern filled rectangles
        Indirect CPU to Screen color expansion
        Solid Lines
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                14 256x256 slots
                5 512x512 slots
(==) ATI(0): Backing store disabled
(**) ATI(0): DPMS enabled
(**) Mouse0: Protocol: "PS/2"
(**) Mouse0: Core Pointer
(==) Mouse0: Buttons: 3
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
X Error of failed request:  86
  Major opcode of failed request:  51 (X_SetFontPath)
  Serial number of failed request:  9
  Current serial number in output stream:  11
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
QSocketNotifier: Multiple socket notifiers for same socket 6 and type read
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
QMenuData::removeItem: Index -1 out of range
QMenuData::removeItem: Index -1 out of range
QMenuData::removeItem: Index -1 out of range
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
[artsd] suspend
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
Xlib:  extension "RENDER" missing on display ":0.0".
 
Fatal server error:
Caught signal 11.  Server aborting
 
 
When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.
 
kdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.
kdeinit: sending SIGTERM to children.
kdeinit: Exit.
KLauncher: Exiting on signal 15
xinit:  connection to X server lost.
warning: leaving MCOP Dispatcher and still 7 object references alive.
  - Arts::Synth_MULTI_ADD
  - Arts::Synth_MULTI_ADD
  - Arts::Synth_PLAY
  - Arts::StereoEffectStack
  - Arts::Synth_BUS_DOWNLINK
  - Arts::SoundServer
  - Arts::MidiManager
warning: leaving MCOP Dispatcher and still 41 types alive.
X IO Error

Comment 12 Jonathan A. Davis 2001-05-16 14:08:31 EDT
Mark (and those that want to try it),

If you are running in runlevel 5 (i.e., with a graphical login screen), you can
disable dpms by editing /etc/X11/xdm/Xservers and changing

:0 local /usr/X11R6/bin/X

to 

:0 local /usr/X11R6/bin/X -dpms

If you using runlevel 3 (and startx), theoretically you can do a "startx -- 
-dpms" instead, but I've not tested it...

Thanks, --J
Comment 13 Mark H Johnson 2001-05-17 09:07:46 EDT
Crashed again last night [about 6:45pm] - no activity, no signficant
difference in XFree86 and startx output. No messages in /var/log/messages
at the time of the server crash.

Have just restarted using the following command (per the suggestion):
  startx -- -dpms 2>&1 | tee startx.output
though it appears that doesn't disable DPMS as suggested. See the following...

grep -i dpms /var/log/XFree86.0.log
(II) Loading extension DPMS
(II) ATI(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(**) Option "dpms"
(**) ATI(0): DPMS enabled

If this is true - how do I really turn this stuff off?
Comment 14 Jonathan A. Davis 2001-05-17 09:31:41 EDT
FWIW the same messages (in the Xfree log above) show up in my logs regardless 
of whether I disable dpms or not (even if I run X directly with the -dpms and 
2> to a file).  However, the results for me have been almost three weeks with 
nary a single X server crash (even under vmware) on either test machine.

-J
Comment 15 Mark H Johnson 2001-05-17 19:04:01 EDT
Alas, my X server just crashed a few minutes ago w/ DPMS turned off.
No significant difference in the Xfree86 log file (date/time only).

The log from startx was slightly different, but I'm not sure why....
I assume the [artsd] suspend's and similar messages vary due to the
different usage patterns. The only "real" difference I note was the
way KDE was killed (Klauncher exiting w/ signal 1 vs. signal 15).

OK - what's next for me to try?

Differences follow...

11c11
< (==) Log file: "/var/log/XFree86.0.log", Time: Mon May 14 08:07:52 2001
---
> (==) Log file: "/var/log/XFree86.0.log", Time: Thu May 17 07:59:02 2001
231,233d230
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
236,241d232
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] /dev/dsp currently unavailable (retrying)
< [artsd] /dev/dsp ok
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
242a234
> request id is u21305@localhost+31
244a237
> Xlib:  extension "RENDER" missing on display ":0.0".
248d240
< [artsd] suspend
256,308d247
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
< Xlib:  extension "RENDER" missing on display ":0.0".
< Xlib:  extension "RENDER" missing on display ":0.0".
< [artsd] suspend
< [artsd] suspend
320a260
> xinit:  connection to X serverlost.
322a263
> KLauncher: Exiting on signal 1
325,328c266
< KLauncher: Exiting on signal 15
< xinit:  connection to X server lost.
< warning: leaving MCOP Dispatcher and still X IO Error
< 7 object references alive.
---
> warning: leaving MCOP Dispatcher and still 7 object references alive.
336a275,276
> KLauncher: Exiting on signal 15
> X IO Error

Comment 16 Mark H Johnson 2001-05-21 09:29:16 EDT
OK - crashed again. Same general symptoms.

Restarted again w/ /etc/X11/XFConfig-4 commented as follows:
# options "dpms"
in the display section.

Current version of /var/log/XFree86.0.log DOES NOT show that
DPMS is enabled. Let's hope it works.
Comment 17 Mark H Johnson 2001-05-22 15:08:52 EDT
Crashed again w/ DPMS turned off. My back was to the machine - talking to
someone in my office. No significant differences in the log files (other than
DPMS is not enabled).

Will consider turning off DRI - how do I do that?

Comment 18 Mike A. Harris 2001-05-22 15:47:42 EDT
My commenting out the Load "dri" line in the config file as well.  Make
_sure_ you are editing the correct config file.  The -4 file is for XFree86 4.x

Also, it appears that you have enabled AA fonts in KDE.  Disable them, your
card doesn't support Render extension yet.
Comment 19 Mark H Johnson 2001-05-25 16:56:54 EDT
Disabling both DRI and DPMS appear to not help this problem. I just
restarted from yet another XFree86 server crash w/ both disabled.

The only new novel error messages I get may be unrelated...
...
xargs: environment is too large for exec
xargs: environment is too large for exec
/usr/bin/startkde: [: -lt: unary operator expected
/usr/bin/startkde: [: -lt: unary operator expected
...

** Warning ** unix_connect: can't connect to server
(unix:/tmp/mcop-u21305/dws10-446a-3b0ab801)

I think the exec messages are due to a script that is run in .bashrc
that sources a whole lotta environment variables [another recent change].
I am not so sure about the "unix_connect" messages.
Comment 20 Mark H Johnson 2001-06-08 09:12:59 EDT
The crashes seem to have died down in frequency but not completely gone away.

I an looking at a couple alternatives & want feedback...
 - download XFree86 4.1 binaries & isntall to see if the problem goes away
 - get the server to dump core
Under the second one, I've seen references to the following method...

Add the following to the configuration file...
  Section "Server Flags"
    NoTrapSignals
  EndSection
and then run ...
  gdb -c core /usr/X11R6/bin/XFree86
to get the backtrace & other information.
[there was a note that I might have to do a network login to restart X
after this occurs.]

Do either of those ideas sound good to pursue or is there something else
I should be trying?

Thanks.
Comment 21 Mark H Johnson 2001-06-18 13:55:40 EDT
Up for 10 days now w/ XFree86 4.1 - no crashes.

I have a few other problems (a couple shared libraries were not created
so xhost doesn't run), but for the most part - this new version may
fix my problem.

[Is there a Red Hat rpm generated for 4.1 yet?]
Comment 22 Mark H Johnson 2001-07-16 17:20:04 EDT
Now up over a month w/o crashes on XFree86 4.1. I also figured out my problem
with the shared libraries [one downloaded file was broken...]. When can I get an
RPM with it?
Comment 23 Mike A. Harris 2001-07-16 22:42:05 EDT
Just a point to note first:  Please when you attach files to the bug reports,
do not cut and paste them, use the file attachment link below.  It makes it
very difficult to follow the report and coincide with logs, etc.  Always make
uncompressed file attachments instead.

Now to answer some of the above:
From: 2001-04-23 09:57:50
When we release a final release, we are no longer interested in beta bug
reports, which is why you can't make reports against them.  After the
final release, we expect beta users to use the final release.  In the case
of a bug, if the bug is fixed in the final, then it is fixed and we dont
need to know the bug is in the beta as it is fixed now.  If a bug is in the
beta, and still in the final, then one should be using the final release,
and also filing bugs against the final release.

Reply to davis@opeie.usm.edu 2001-04-26 20:36:09
This is very likely the r128 DRI bug that was fixed in a later kernel
release in rawhide, and I think in an errata kernel as well.  If disabling
DRI solves the problem I am willing to bet that this is the same problem,
and is fixed now.

Reply to mark_h_johnson@raytheon.com 2001-04-27 14:04:38
The /var/log/messages log entries you've posted do not have anything
to do with XFree86 at all, and do not indicate problems.  Not with
X anyway.  Again, please make all files as file attachments, not cut and
paste, it is harder to follow the report this way.  Thanks..

More to follow.






Comment 24 Mike A. Harris 2001-07-16 22:50:19 EDT
Other points:  Make sure that your systems are running the official 7.1
release and not just bits and pieces of it.  It is not possible for us
to be able to cover all the various permutations of beta/non beta software,
and mixed systems.  Assuming that you are running stock 7.1 final plus
all released errata from here on out...

To disable DRI, comment out the "Load DRI" line in the /etc/X11/XF86Config-4
file.  To disable dpms, comment out the option dpms line.  For details on
other options and configuration, try:  man XF86Config

Forget about my r128 comments above, I got cards mixed up, you're using
a Mach64 which doesn't apply to the r128 kernel patch.

The xargs related messages you're seeing are not related, but may be another
bug in one of the startup scripts perhaps.

The NoTrapSignals is documented in the manpage.  It is:

Option "NoTrapSignals" "1"
You can try it if you like.  Don't attach the corefile, but you can
attach the resultant backtrace if you think it will help.





Comment 25 Mike A. Harris 2001-07-16 22:56:18 EDT
XFree86 4.1.0 RPM packages are now in Rawhide.  It is highly recommended
that you run 4.1.0-0.8.6 or later for best stability as earlier packaging
was very broken and could cause lots of problems.  These 4.1.0 packages
are still not production ready, so while X may or may not work well, keep
in mind the "alpha" quality of the current rawhide packaging.  You'll need
to upgrade Mesa and perhaps other packages to the Rawhide stuff as well.

4.1.0-0.9.0 is done and will show up soon in rawhide.

What shared library problems are you refering to?  libXv, libXxf86dga?
If so these libs are removed and shouldn't be used for development, we've
provided however runtime compatibility libs in XFree86-compat-libs package
so apps linked to the shared libs will still work.

Does the new 4.1.0 work for you?
Comment 26 Mark H Johnson 2001-08-08 19:05:37 EDT
I had already fixed the shared library problems [as mentioned on 7/16]. As also
mentioned, most of the stability problems were fixed with the mixed bag I had.
However, I got frustrated w/ the set up I had (for other reasons), and did a
fresh install w/ "Roswell" this morning. Found a couple other bugs [reported
separately] and annoying problems.

For the updated X server, it managed to crash & restart after a pretty full day
of use. I went back to a console window & did the following steps...
[1] telinit 3
[2] added the following lines to XFree86Config-4
Section "Server Flags"
  Option "NoTrapSignals" "1"
EndSection
[3] telinit 5
No apparent errors in the current XFree86.0.log file to this point. Will let you
know what I find out.
Comment 27 Need Real Name 2001-09-15 11:43:30 EDT
I've run into a similar bug.  XF86 4 will randomly crash on my box.  I just now
managed to characterize the beast.

Ruled out: video card.  Tested with nVidia Riva TNT2 Ultra and Matrox Millennium
G450, all with latest drivers.  Same problem.

Ruled out: Bug already fixed.  Tested with 7.1's XF86 4.0.3 and Rawhide's XF86
4.1.0.  Crashes on both.  No crashes with XF86 3.3.6.

Ruled out: X clients.  Crash occurs with failsafe session.  X traffic seems to
speed up the crash, though.

Ruled in: SMP mode.  X is rock solid with the uniprocessor kernel, but the crash
occurs when using the SMP kernel.  When running the UP kernel, I still have two
processors in the machine.

Interestingly, gkrellm 1.0.8 randomly dies with a segmentation fault on the SMP
kernel, but not the UP kernel.  Other clients don't seem to have this behavior.

I'd like to note the common thread in this bug and bugs 41799, 33368, 40449,
38708, and 35897.  All used SMP kernels.

I'm submitting this bug report to XF86 as well, since it seems to be an unfixed
XF86 4 bug.
Comment 28 Doug Nordwall 2001-10-25 17:04:19 EDT
I am also seeing this exact bug. 

It does not appear to be affected by video card, because we have seen it with 
matrox g400's as well as nvidia geforce 2 based cards. 

It does appear to affect out Dell Precision 420's more than anything else. 

All of our 420's are SMP machines and are running smp kernels. Not all of them 
are running official redhat kernels. The speed of the processors range from 667 
to 993 Mhz. 

The window manager seems to not matter. 

We have seen it affect monitors at 1600x1200 the most, although we have one guy 
running dual headed 1280x1024 that it affects as well. 

Interestingly, I personally do not see it at all (maybe once, I still need to 
verify) on my Precision 410 (the non-rambus version of the 420). I have 
recently added -verbose 5 and -logverbose 5 to one of the machines that seems 
to be seeing it the most (or the user bitches the loudest...not sure which). I 
have also recently commented out DRI, and willl probably comment out DPMS here 
shortly.
Comment 29 Mike A. Harris 2001-10-31 22:03:38 EST
To the original submitter:  Are you still having this problem
with Red Hat Linux 7.2 release, with all erratum applied?  There
have been some console handling issues fixed in our latest kernels,
which caused server hangs while VT switching.

Personally, I cannot reproduce these problems in my tests, so if
they still exist, it must be something kernel related, or else,
some odd hardware issue I am guessing.
Comment 30 Mark H Johnson 2001-11-01 12:20:16 EST
We don't have enough runtime on Red Hat 7.2 yet to say it is fixed or not.
[I'm still waiting for my system to be updated...]

Our most common platform is...
 Red Hat 7.1
 all current updates (including 2.4.9 kernel)
and it still occurs on an infrequent basis. For example, my machine hasn't
seen a problem in over a week of solid use. But I had a another complaint
about this from another user just two days ago.
Comment 31 Mark H Johnson 2002-01-08 11:46:40 EST
I think this one is finally behind us.

My machine hasn't seen the problem in months & I can't recall any crashes from
other users in quite a while either. Not sure which release has fixed it, but
it works OK to me.

Note You need to log in before you can comment on or make changes to this bug.